package com.smppw.analysis.domain.dataobject.info;

import java.util.Date;

/**
 * @author wangzaijun
 * @date 2023/8/11 14:52
 * @description 基本信息数据库实体
 */
public abstract class BaseInfoDO {
    /**
     * 标的id
     *
     * @return 标的id（基金、公司、经理、指数、组合、因子等id）
     */
    public abstract String getRefId();

    /**
     * 标的全称
     *
     * @return /
     */
    public abstract String getRefName();

    /**
     * 标的简称
     *
     * @return /
     */
    public abstract String getRefShortName();

    /**
     * 标的成立日
     *
     * @return /
     */
    public abstract Date getInceptionDate();
}
